*--------------------------------------------------------------------------
* Model generated by Motega software: 
*
*              Modeling Of Tubes Employing Genetic Algorithms
*
* Models contain 1G resistors from all nodes to earth in order to avoid
* floating nodes. Triode and tetrode/pentode models contain a diode for
* simulating grid current.
*
* Non-commercial use is permitted, but at your own risk... This model
* is provided "as is", without warranty of any kind. In no event shall
* Jeroen Boschma be liable for any claim, damages or other liability,
* whether in an action of contract, tort or otherwise, arising from,
* out of or in connection with the tube model or the use or other
* dealings in the tube model.
*
*
*                         Copyright Jeroen Boschma
*                              www.boschma.com
*
* Motega V 1.0, 24-May-2010 01:04:58
*--------------------------------------------------------------------------



*--------------------------------------------------------------------------
* Generic triode model
*--------------------------------------------------------------------------

.SUBCKT TubeTriode  A  Gr1  K
+ PARAMS: ua=1 xa=1 qa=1 kg=1 kvba=1 ce=1
*
* Resistors in order to avoid floating nodes
*
R1   A    0   1G
R2   G    0   1G
R3   K    0   1G
*
* Intermediate expressions which simplify the current calculation
*
RE1  1    0   1G
E1   1    0   VALUE={xa + ce*PWR(V(A,K),2)}
RE2  2    0   1G
E2   2    0   VALUE={PWR(kvba,2) + PWR(V(A,K),2)}
RE3  3    0   1G
E3   3    0   VALUE={V(A,K)*LOG(1 + EXP(qa*(1/ua + V(Gr1,K)/PWR(V(2),0.5))))/qa}
*
* Actual current calculation
*
G1   A    K   VALUE={(PWR(V(3),V(1)) + PWRS(V(3),V(1)))/kg}
*
* Grid current modeling
*
RG   Gr1  4   1K
D1   4    K   DX
.MODEL DX D(IS=1N RS=1 CJO=10PF TT=1N)
*
* Close the model
*
.ENDS


*--------------------------------------------------------------------------
* Specialized tube model
*
*    Type           : 6N6P
*    Description    : Double triode russe
*    Direct heated  : no
*    Screen present : no
*--------------------------------------------------------------------------

.SUBCKT 6N6P   A  Gr1  K 
*
* Resistors in order to avoid floating nodes
*
* RF   F    0   1G
*
* Link to the generic model
*
XV     A   Gr1   K        TubeTriode
+ PARAMS: ua=18.193 xa=1.681 qa=102.376 kg=938.090 kvba=42.102 ce=1.808U
*
* Capacitances
*
C1    A        K        1.800P   ; ca2k2
*
* Close the model
*
.ENDS


*--------------------------------------------------------------------------
* End of file
*--------------------------------------------------------------------------
